Mandrake Linux Security Advisory : libsafe (MDKSA-2002:026)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing a security update.

Description :

Wojciech Purczynski discovered that format string protection in
libsafe can be easily bypassed by using flag characters that are
implemented in glibc but are not implemented in libsafe. It was also
discovered that *printf function wrappers incorrectly parse argument
indexing in format strings, making some incorrect assumptions on the
number of arguments and conversion specifications.

These problems were fixed by the libsafe authors in 2.0-12.

Solution :

Update the affected libsafe package.

Risk factor :

Medium / CVSS Base Score : 4.6
(CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 4.0
(CVSS2#E:H/RL:OF/RC:C)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 13933 (mandrake_MDKSA-2002-026.nasl)

Bugtraq ID: 4326
4327

CVE ID: CVE-2002-0175
CVE-2002-0176

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now